
function cargar_grados(){

var parametros = {"accion":'grados'};
        $.ajax({
                data:  parametros,
                url:   'catalogos.php',
                type:  'post',
                success:function (response){
                        
                        $("#grados").html(response);
           }
        });
        
}

//-------------------------------------

function mostrar_grupos(){

var g=document.getElementById('grados').value;

var parametros = {"accion":'grupos',"grado":g};
        $.ajax({
                data:  parametros,
                url:   'catalogos.php',
                type:  'post',
                success:function (response){

                        $("#grupos").html(response);
           }
        });

}

//----------------------------------

function cargar_docente(){
                 
    var parametros = {"accion":'mostrar_docente'};
        $.ajax({
                data:  parametros,
                url:"catalogos.php",
                type:  'post',
                success:function (response){

                          arr=response.split("*");
                            document.getElementById('p_id1').value=arr[0];
                            document.getElementById('p_id2').value=arr[1];
                               
                                                  
                }});

      cargar_periodos();   
}

//---------------------------------------

function cargar_periodos(){

var parametros = {"accion":'periodos'};
        $.ajax({
                data:  parametros,
                url:   'catalogos.php',
                type:  'post',
                success:function (response){

                        $("#periodos").html(response);
           }
        });
}


//-------------------------------------

function labor_docente(){

var d=document.getElementById('p_id1').value;

var parametros = {"accion":'labor_academica',"profesor":d};
        $.ajax({
                data:  parametros,
                url:   'catalogos.php',
                type:  'post',
                success:function (response){

                        $("#labor").html(response);
                        
           }
        });
     
}
//--------------------------------------------------

function  marcar1(chk) {

    var padreDIV=chk;
    while( padreDIV.nodeType==1 && padreDIV.tagName.toUpperCase()!="DIV" )
        padreDIV=padreDIV.parentNode;
    //ahora que padreDIV es el DIV, cogeremos todos sus checkboxes
    var padreDIVinputs=padreDIV.getElementsByTagName("input");

    for(var i=0; i<padreDIVinputs.length; i++) {
        if( padreDIVinputs[i].getAttribute("type")=="checkbox" )
            padreDIVinputs[i].checked = chk.checked;
    }

     //-----------------------------------------------------------
      var estado=document.getElementById('casilla1').checked;

      var parametros = {"accion":'marcar_desmarcar_asignaturas',"estado":estado};
        $.ajax({
                data:  parametros,
                url:   'catalogos.php',
                type:  'post'

        });

}

//--------------------------------------

function activar_labor(grado,curso,asignatura){

var cd=document.getElementById(grado+"_"+curso+"_"+asignatura).checked;

var parametros = {"accion":'activar_labor',"grado":grado,"curso":curso,"asignatura":asignatura,"estado":cd};
        $.ajax({
                data:  parametros,
                url:   'catalogos.php',
                type:  'post'

        });

}

//-------------------------------------

function mostrar(id1,id2,tabla,ancho, alto){

  $( "#dialog" ).dialog({
          width: ancho,
          height: alto

  });

var parametros = {"accion":'listado',"tabla":tabla,"id1":id1,"id2":id2};

                    $.ajax({
                    data:  parametros,
                    url:"catalogos.php",
                    type: "POST",
                success: function(opciones){$("#dialog").html(opciones);}})
}


//------------------------------------------------------------------------------
function mostrar_grado(id1,id2,tabla,ancho, alto){

  $( "#dialog" ).dialog({
          width: ancho,
          height: alto

  });
  
var sede=document.getElementById('s_id1').value;


var parametros = {"accion":'listado_grado',"tabla":tabla,"id1":id1,"id2":id2,"sede":sede};

                    $.ajax({
                    data:  parametros,
                    url:"catalogos.php",
                    type: "POST",
                success: function(opciones){$("#dialog").html(opciones);}})
}


//------------------------------------------------------------------------------
function mostrar_curso(id1,id2,tabla,ancho, alto){

  $( "#dialog" ).dialog({
          width: ancho,
          height: alto

  });

    var grado=document.getElementById('g_id1').value;
    var sede=document.getElementById('s_id1').value;
    
    

     if (grado==""){
          alert("Seleccione Grado");
          return 0;
      }

      if (sede==""){
          alert("Seleccione Sede");
          return 0;
      }

  
  parametros = {"accion":'listado_curso',"grado":grado,"sede":sede,"tabla":tabla,"id1":id1,"id2":id2};

     $.ajax({
       data:  parametros,
       url:"catalogos.php",
       type: "POST",
       success: function(opciones){$("#dialog").html(opciones);}})
          
}
//-------------------------------------------------------
function mostrar_lista(id1,id2,codigo,nombre){

    document.getElementById(id1).value=codigo;
    document.getElementById(id2).value=nombre;

    $("#dialog").click(function () {
            $(this).dialog('close');
            
    });

    document.getElementById(id2).style.color = '#B40404';
    document.getElementById(id1).focus();


}


function mostrar_lista_grado(id1,id2,codigo,nombre){
    limpiar_click_grado();
    document.getElementById(id1).value=codigo;
    document.getElementById(id2).value=nombre;

    $("#dialog").click(function () {
            $(this).dialog('close');
            
    });

    document.getElementById(id2).style.color = '#B40404';
    document.getElementById(id1).focus();


}

function limpiar_click_grado(){

document.getElementById('g_id2').value='';

document.getElementById('c_id1').value='';
document.getElementById('c_id2').value='';

document.getElementById('j_id1').value='';
document.getElementById('j_id2').value='';

document.getElementById('g_id1').focus();

}
//--------------------------------------------------------

function limpiar(id1,id2){

    if (document.getElementById(id1).value==''){
        document.getElementById(id2).value='';
    }

}

//--------------------------------------------------------

function al_salir(id1,id2,tabla){

    var codigo=document.getElementById(id1).value;


    if (codigo!=''){

       var parametros = {"accion":'al_salir',"codigo":codigo,"tabla":tabla};
                       $.ajax({
                       data:  parametros,
                       url:"catalogos.php",
                       type: "POST",
                       success: function(respuesta){


                           if (respuesta!="0"){

                            document.getElementById(id2).style.color = '#B40404';
                            document.getElementById(id2).value=respuesta;
                           }
                           else{
                               alert ('No Existe Registro');
                               document.getElementById(id1).value='';
                               document.getElementById(id2).value='';
                               document.getElementById(id1).focus();
                           }

                }})

    }
}



//--------------------------------------------------------

function al_salir_grado(id1,id2,tabla){

    var codigo=document.getElementById(id1).value;
    var sede=document.getElementById('s_id1').value;
    


    if (codigo!=''){

       var parametros = {"accion":'al_salir_grado',"codigo":codigo,"tabla":tabla,"sede":sede};
                       $.ajax({
                       data:  parametros,
                       url:"catalogos.php",
                       type: "POST",
                       success: function(respuesta){


                           if (respuesta!="0"){

                            document.getElementById(id2).style.color = '#B40404';
                            document.getElementById(id2).value=respuesta;
                           }
                           else{
                               alert ('No Existe Registro');
                               document.getElementById(id1).value='';
                               document.getElementById(id2).value='';
                               document.getElementById(id1).focus();
                           }

                }})

    }
}

//--------------------------------------------------------

function al_salir_curso(id1,id2,tabla){


    var grado=document.getElementById('g_id1').value;
    var sede=document.getElementById('s_id1').value;
    var curso=document.getElementById('c_id1').value;


    if (sede!="" && grado!="" && curso!=""){
        
       var parametros = {"accion":'al_salir_curso',"sede":sede,"grado":grado,"curso":curso};
                       $.ajax({
                       data:  parametros,
                       url:"catalogos.php",
                       type: "POST",
                       success: function(respuesta){

                           if (respuesta!="0"){
                              
                              var elem = respuesta.split('_');
                              document.getElementById('j_id2').style.color = '#B40404';
                              document.getElementById('c_id2').style.color = '#B40404';
                              document.getElementById('c_id2').value=elem[0];
                              document.getElementById('j_id1').value=elem[1];
                              document.getElementById('j_id2').value=elem[2];
                           }
                           else{
                               alert ('No Existe Curso');
                               document.getElementById('c_id1').focus();
                           }

                }})

    }
}

//-----------------------------------------
function borrar_curso(){

document.getElementById('c_id1').value='';
document.getElementById('c_id2').value='';
}


//-----------------------------------------
function mostrar_jornada(){

       var grado=document.getElementById('g_id1').value;
       var sede=document.getElementById('s_id1').value;
       var curso=document.getElementById('c_id1').value;

     
       if (sede!="" && grado!="" && curso!=""){

          parametros1 = {"accion":'listado_jornada',"sede":sede,"grado":grado,"curso":curso};

          $.ajax({
             data:  parametros1,
             url:"catalogos.php",
             type: "POST",
             success: function(response){;

                   if (response!="NO EXISTE"){

                      var elem = response.split('_');

                      document.getElementById('j_id2').style.color = '#B40404';
                      document.getElementById('j_id1').value=elem[0];
                      document.getElementById('j_id2').value=elem[1];
                     
                   }

             }})
       }

}

//-------------------------------------

function Reporte_reprobadas(){

var grado=document.getElementById('grados').value;
var curso=document.getElementById('grupos').value;


     if (grado==""){
          alert("Seleccione Grado");
          return 0;
      }

      if (curso==""){
          alert("Seleccione Curso");
          return 0;
      }



window.open("reporte_reprobadas.php?grado="+grado+"&curso="+curso);

}

//-------------------------------------

function Generar_Reporte(){

var periodo=document.getElementById('p_id1').value;
var sede=document.getElementById('s_id1').value;
var grado=document.getElementById('g_id1').value;
var curso=document.getElementById('c_id1').value;

     if (periodo==""){
          alert("Seleccione Periodo");
          return 0;
      }

     if (sede==""){
          alert("Seleccione Sede");
          return 0;
      }


     if (grado==""){
          alert("Seleccione Grado");
          return 0;
      }

      if (curso==""){
          alert("Seleccione Curso");
          return 0;
      }



window.open("reporte.php?grado="+grado+"&curso="+curso+"&periodo="+periodo);

}

//-------------------------------------

function Generar_Reporte_Docente(){

var periodo=document.getElementById('periodos').value;

     if (periodo==""){
          alert("Seleccione Periodo");
          return 0;
      }

window.open("reporte_docente.php?periodo="+periodo);

}


function Retornar(){

 var parametros = {"accion":'retornar_rol'};

                    $.ajax({
                    data:  parametros,
                    url:"catalogos.php",
                    type: "POST",
                    success: function(rol){
                       
                         if(rol==4)
                           location.href="../menu.php";
                        else if(rol==1)
                              location.href="../menu_profesor.php";
                        else if(rol==5)
                            location.href="../menu_coordinador.php";
                        else if(rol==6)
                            location.href="../menu_secretaria.php";

                    }}) ;

}


//-------------------------------------

function parametro( name ){
	var regexS = "[\\?&]"+name+"=([^&#]*)";
	var regex = new RegExp ( regexS );
	var tmpURL = window.location.href;
	var results = regex.exec( tmpURL );
	if( results == null )
		return "";
	else
		return results[1];
}